lightdm-gtk-greeter does not exit cleanly when logging in

Bug #1290575 reported by Jack Kern on 2014-03-10
88
This bug affects 14 people
Affects Status Importance Assigned to Milestone
LightDM GTK+ Greeter
High
Sean Davis
lightdm-gtk-greeter (Ubuntu)
High
Sean Davis

Bug Description

http://imagebin.org/298340

lightdm-gtk-greeter:
  Installed: 1.8.2-1ubuntu1
  Candidate: 1.8.2-1ubuntu1
  Version table:
 *** 1.8.2-1ubuntu1 0
        500 http://ca.archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages
        100 /var/lib/dpkg/status

Description: Ubuntu Trusty Tahr (development branch)
Release: 14.04
10 March 2014

Image shows two dead 'lightdm-greeter' instances in taskbar upon login. Deskstop icons are not present but appear with left-click. Right-click does not bring up menu.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: lightdm-gtk-greeter 1.8.2-1ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-16.36-generic 3.13.5
Uname: Linux 3.13.0-16-generic x86_64
ApportVersion: 2.13.3-0ubuntu1
Architecture: amd64
CurrentDesktop: XFCE
Date: Mon Mar 10 17:27:14 2014
InstallationDate: Installed on 2014-03-10 (0 days ago)
InstallationMedia: Xubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140310)
SourcePackage: lightdm-gtk-greeter
UpgradeStatus: No upgrade log present (probably fresh install)

Jack Kern (schproodle) wrote :
Alistair Buxton (a-j-buxton) wrote :

It appears that lightdm-gtk-greeter is waiting for init (upstart) to exit. upstart is in turn waiting on the indicator services to exit. From the log:

** (lightdm-gtk-greeter:2775): WARNING **: Failed to load user image: Failed to open file '/home/jack/.face': No such file or directory
init: indicator-power main process (2805) killed by TERM signal
init: indicator-power main process ended, respawning
init: indicator-sound main process (2807) killed by TERM signal
init: indicator-sound main process ended, respawning
init: indicator-power main process ended, respawning
init: indicator-power main process ended, respawning
init: indicator-power main process ended, respawning
init: indicator-power main process ended, respawning
init: indicator-power main process ended, respawning
init: indicator-power main process ended, respawning
init: indicator-power main process ended, respawning
init: indicator-power main process ended, respawning
init: indicator-power main process ended, respawning
init: indicator-power respawning too fast, stopped

From ps waxf:

 1939 ? Sl 0:01 /usr/sbin/lightdm-gtk-greeter
 1966 ? S 0:00 init --user --startup-event indicator-services-start
 2000 ? Ssl 0:00 \_ /usr/lib/x86_64-linux-gnu/indicator-sound/indicator-sound-service

(several such instances may be seen)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lightdm-gtk-greeter (Ubuntu):
status: New → Confirmed
Jackson Doak (noskcaj) wrote :

It's possible this is from the update to xfwm4 from yesterday.

Jackson,

Not from yesterday. This first occurred for me about 1 week ago,
intermittently as I was testing 32 and 64 bit iso for qatracker on vbox vm
around10 installations per day. It was raised on #xubuntu-devel and was
difficult to reproduce.

Hope this helps.

On Mon, Mar 10, 2014 at 8:13 PM, Jackson Doak <email address hidden>wrote:

> It's possible this is from the update to xfwm4 from yesterday.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1290575
>
> Title:
> lightdm-gtk-greeter does not exit cleanly when logging in
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/lightdm-gtk-greeter/+bug/1290575/+subscriptions
>

Simon Steinbeiß (ochosi) wrote :

I've seen this issue as well once or twice.

We're using the same method/s to start/stop indicator-services as unity-greeter does, I wonder why it works there (or does it not?) and seemingly not reliably for us...

The gtk_main_quit() function tries to terminate the greeter in a clean way and is immediately interrupted by calling exit().

=== modified file 'src/lightdm-gtk-greeter.c'
--- src/lightdm-gtk-greeter.c 2014-03-02 08:13:23 +0000
+++ src/lightdm-gtk-greeter.c 2014-03-11 12:21:22 +0000
@@ -1815,7 +1815,6 @@
 sigterm_cb (int signum)
 {
     gtk_main_quit();
- exit (0);
 }

 static void

Sean Davis (bluesabre) wrote :

Thanks for catching that, fix pushed. Will come along with next release.

Changed in lightdm-gtk-greeter:
status: New → Fix Committed
importance: Undecided → High
assignee: nobody → Sean Davis (smd-seandavis)
Sean Davis (bluesabre) on 2014-03-13
Changed in lightdm-gtk-greeter:
milestone: none → 1.8.3
Sean Davis (bluesabre) on 2014-03-13
Changed in lightdm-gtk-greeter:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm-gtk-greeter - 1.8.3-0ubuntu1

---------------
lightdm-gtk-greeter (1.8.3-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1291913)
    - Now correctly exits when logging in (LP: #1290575)
 -- Sean Davis <email address hidden> Thu, 13 Mar 2014 06:35:23 -0400

Changed in lightdm-gtk-greeter (Ubuntu):
status: Confirmed → Fix Released
Changed in lightdm-gtk-greeter:
status: Fix Released → Confirmed
Cyborg Cygnus (cyborgcygnus) wrote :

Just saw this bug after updating just now. This is my version, lightdm-gtk-greeter 1.8.3

Cyborg Cygnus (cyborgcygnus) wrote :

Just rebooted pc to try & replicate this problem for a 3rd time. I opened as many applications as I could remember having open the other times. So far I can replicate application windows flashing non stop after trying to start a VM in "QEMU emulator version 1.7.0 (Debian 1.7.0+dfsg-3ubuntu6)", which stops when I close it, I'm positive the first two times this bug arose the flashing of windows happened but on the third time no greeter taskbar applications were shown.

Elfy (elfy) wrote :

I've had this a couple of times in the last day or so.

Doesn't appear fixed here.

ajgreeny (ajg-charlbury) wrote :

I installed a VM in VirtualBox of the 64bit version of Lubuntu yesterday Mar 18th using the daily iso pending download, and immediately saw this problem, but not at every boot or login. When it happened I had to logout and in again several times to get to a usable desktop, as those zombie processes appeared to stop me doing very much else, and I could find no way of killing the processes that worked either in terminal or with any GUI application

In an attempt to overcome it I installed, and tried to use xdm, but when using that it was impossible to get to a GUI desktop, or even a command line; just a black screen that would take no input.

From the grubmenu I booted to recovery mode and there purged xdm and I am now back to the lightdm-gtk-greeter which so far has not caused any more problems. I have aslso reinstalled lightdm-gtk-greeter to see if that has any effect, and will report back any progress or regression I see.

Simon Steinbeiß (ochosi) wrote :

As this issue is really difficult to reproduce (I've only seen it once here), could you please attach some logs from right when/after it happens?

We'd be interested in /var/log/lightdm/lightdm.log, /var/log/lightdm/x-0-greeter.log, /var/log/lightdm/x-1-greeter.log
You'll need root access to grab these logs.

Please check whether there is any sensitive information in these logs that you don't want to publish before uploading them!

Changed in lightdm-gtk-greeter:
milestone: 1.8.3 → none
Robie Basak (racb) wrote :

11:23 <brainwash> can anyone please re-open bug 1290575 ?
11:23 <ubot2> Launchpad bug 1290575 in LightDM GTK+ Greeter "lightdm-gtk-greeter does not exit cleanly when logging
              in" [High,Confirmed] https://launchpad.net/bugs/1290575
11:24 <brainwash> the bug is not fully fixed
11:26 <brainwash> the status has been already set back to "confirmed", but "fix released" seems to override it

Changed in lightdm-gtk-greeter (Ubuntu):
status: Fix Released → Confirmed

It has a moderate impact on a core package.

Changed in lightdm-gtk-greeter (Ubuntu):
importance: Undecided → Medium
ajgreeny (ajg-charlbury) wrote :

After several days of this problem not returning, I booted yesterday to my Xubuntu 64 bit, fully updated with a new kernel 3.13.0-19, but as a virtual machine in VirtualBox PUEL version 4.3.8, with Guest additions installed and otherwise running beautifully, and there it was again.

I copied the three logs you requested and I attach them here.

ajgreeny (ajg-charlbury) wrote :

Next requested log file

ajgreeny (ajg-charlbury) wrote :

Third requested log file

ajgreeny (ajg-charlbury) wrote :

Sorry, I can not find a way to edit my post #18, where I said I booted Xubuntu. It was, in fact Lubuntu 64bit but otherwise same details and same updated kernel etc etc.

Simon Steinbeiß (ochosi) wrote :

We pushed a fix to trunk for this problem (http://bazaar.launchpad.net/~lightdm-gtk-greeter-team/lightdm-gtk-greeter/trunk/revision/265).

You could use our daily PPA (https://launchpad.net/~lightdm-gtk-greeter-team/+archive/daily) to test whether this problem is now indeed fixed.

ajgreeny (ajg-charlbury) wrote :

I have just installed the updated version of lightdm-gtk-greeter on my Lubuntu trusty 64bit in a VM on VirtualBox, and though it is too early to know if it has solved the problem, I have so far managed to boot a few times without the problem occuring, so it all looks good so far.

I will report back if the situation changes bacvk to the previous problem.

netrick (netrick) wrote :

I confirm that the trunk version has fixed the problem.

Pasi Lallinaho (knome) on 2014-03-29
Changed in lightdm-gtk-greeter (Ubuntu):
importance: Medium → High
assignee: nobody → Sean Davis (smd-seandavis)
Luis Joaquim (luispjoaquim) wrote :

Working great in xubuntu 64 bit after 10 reboots.

Elfy (elfy) wrote :

Got some logs now. Attaching

Elfy (elfy) wrote :
Elfy (elfy) wrote :
Elfy (elfy) wrote :
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm-gtk-greeter - 1.8.4-0ubuntu1

---------------
lightdm-gtk-greeter (1.8.4-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1299397)
    - Really fix exit bug (LP: #1290575)
 -- Sean Davis <email address hidden> Sat, 29 Mar 2014 05:51:45 -0400

Changed in lightdm-gtk-greeter (Ubuntu):
status: Confirmed → Fix Released
Sean Davis (bluesabre) on 2014-04-29
Changed in lightdm-gtk-greeter:
status: Confirmed → Fix Released
milestone: none → 1.8.4
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related blueprints